package com.mappls.sdk.search.react;


import androidx.annotation.Keep;

import com.mappls.sdk.plugins.places.autocomplete.model.MapplsFavoritePlace;
import com.mappls.sdk.services.api.autosuggest.model.ELocation;
import com.mappls.sdk.services.api.autosuggest.model.SuggestedSearchAtlas;

@Keep
public class AutocompleteResult {

    private ELocation eLocation;
    private SuggestedSearchAtlas suggestedSearch;
    
    private Boolean isRequestForCurrentLocation;

    private MapplsFavoritePlace mapplsFavoritePlace;

    public ELocation getELocation() {
        return eLocation;
    }

    public void setELocation(ELocation eLocation) {
        this.eLocation = eLocation;
    }

    public SuggestedSearchAtlas getSuggestedSearch() {
        return suggestedSearch;
    }

    public void setSuggestedSearch(SuggestedSearchAtlas suggestedSearch) {
        this.suggestedSearch = suggestedSearch;
    }

    public Boolean isRequestForCurrentLocation() {
        return isRequestForCurrentLocation;
    }

    public void setRequestForCurrentLocation(Boolean requestForCurrentLocation) {
        isRequestForCurrentLocation = requestForCurrentLocation;
    }

    public MapplsFavoritePlace getMapplsFavoritePlace() {
        return mapplsFavoritePlace;
    }

    public void setMapplsFavoritePlace(MapplsFavoritePlace mapplsFavoritePlace) {
        this.mapplsFavoritePlace = mapplsFavoritePlace;
    }
}
